Skip to content

Get venues

GET
/v1/venues

Get venues

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
country

Country in iso format

Type
string
Example"GBR"
venue_type

Enum: racetrack, stadium, other

Type
string
Example"stadium"
popular

Search for popular stadiums

Type
boolean
Exampletrue
venue_name

Venue name

Type
string
Example"Anfield"
city

Search by city name

Type
string
Example"Liverpool"
slug

Seo friendly alternative to uuid

Type
string
Example"anfield"
venue_id

Filter on venue ID

Type
string
Example"7d881550d5ba4cb2b3faca11a9b1695d_vnx"
team_id

Filter venues by team ID (home or away team)

Type
string
Example"7d881550d5ba4cb2b3faca11a9b1695d_tms"
event_stopdate

Only returns venues which are linked to events with a stopdate matching this criteria

Type
string
Example"2025-04-01"

Responses

OK

application/json
JSON
{
  
"venues": [
  
  
{
  
  
  
"venue_id": "7d881550d5ba4cb2b3faca11a9b1695d_vnx",
  
  
  
"official_name": "Anfield",
  
  
  
"country": "GBR",
  
  
  
"popular_stadium": true,
  
  
  
"venue_type": "stadium",
  
  
  
"capacity": 53394,
  
  
  
"city": "Liverpool",
  
  
  
"province": "Merseyside",
  
  
  
"latitude": "53.430819",
  
  
  
"longitude": "-2.960827",
  
  
  
"number": "1",
  
  
  
"postalcode": "L4 0TH",
  
  
  
"streetname": "Anfield Road",
  
  
  
"opened": 1892,
  
  
  
"track_length": 4000,
  
  
  
"wikipedia_slug": "Anfield",
  
  
  
"wikipedia_snippet": "Anfield is a football stadium in Anfield, Liverpool, Merseyside, England...",
  
  
  
"slug": "anfield",
  
  
  
"seating_setup": "Standard"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples